GET

locationclosures API

Retrieve and manage locationclosures records from the Apps4Edu sync database.

Endpoint Path

GET /api/locationclosures

CURL Example

curl "https://api.apps4education.co.uk/api/locationclosures?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
locationClosureID int
locationID int
locationAbsenceCodeID int
locationAbsenceCodeName varchar
locationAbsenceCodeDescription text
locationAbsenceDisplayCode varchar
notes text
startDate datetime
endDate datetime
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "locationClosureID": 101,
      "locationID": 101,
      "locationAbsenceCodeID": 101,
      "locationAbsenceCodeName": "example_value",
      "locationAbsenceCodeDescription": "example_value",
      "locationAbsenceDisplayCode": true,
      "notes": "example_value",
      "startDate": "example_value",
      "endDate": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.